﻿using Infragistics.UltraChart.Resources.Appearance;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinChartStep3Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            NumericSeries series = new NumericSeries();
            series.Label = "Series 1 Label";
            series.Points.Add(new NumericDataPoint(65, "User A", false));         
            this.ultraChart1.Series.Add(series);

            series = new NumericSeries();
            series.Label = "Series 2 Label";
            series.Points.Add(new NumericDataPoint(65, "User A", false));          
            this.ultraChart1.Series.Add(series);

            //Use this line of code to set SeriesLabels Orientation property.
            this.ultraChart1.Axis.X.Labels.SeriesLabels.Orientation = Infragistics.UltraChart.Shared.Styles.TextOrientation.Horizontal;

            this.ultraChart1.Data.ZeroAligned = true;
        }
    }
}
